package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import java.util.Date;

/**
 * 出资人信息表对象 qy_czrxx
 *
 * @author ruoyi
 * @date 2019-09-10
 */
public class QyCzrxx extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** Id */
    private Long id;

    /** Bsid */
    @Excel(name = "Bsid")
    private String bsid;

    /** 出资人类型 */
    @Excel(name = "出资人类型")
    private String czrtype;

    /** 出资人名称 */
    @Excel(name = "出资人名称")
    private String czrname;

    /** 出资人电话 */
    @Excel(name = "出资人电话")
    private String czrphone;

    /** 出资人联系 */
    @Excel(name = "出资人联系")
    private String czrlx;

    /** 出资人资金 */
    @Excel(name = "出资人资金")
    private String czrzj;

    /** 出资人身份证 */
    @Excel(name = "出资人身份证")
    private String czrcardno;

    /** 出资人民族 */
    @Excel(name = "出资人民族")
    private String czrmz;

    /** 出资人政治面貌 */
    @Excel(name = "出资人政治面貌")
    private String czrzzmm;

    /** 出资人微信cd */
    @Excel(name = "出资人文化程度")
    private String czrwxcd;

    /** 出资人性别 */
    @Excel(name = "出资人性别")
    private String czrxb;

    /** 出资人收入 */
    @Excel(name = "出资人出生日期")
    private String czrsr;

    /** 出资人住址 */
    @Excel(name = "出资人住址")
    private String czrzz;

    /** 出资人职业状况 */
    @Excel(name = "出资人职业状况")
    private String czrzyzk;

    /** 出资人规划 */
    @Excel(name = "出资人规划")
    private String czrgh;

    /** 出资人地址邮箱 */
    @Excel(name = "出资人地址邮箱")
    private String czrdzyx;

    /** 操作类型 */
    @Excel(name = "操作类型")
    private String cztype;

    /** 操作方式 */
    @Excel(name = "操作方式")
    private String czfs;

    /** 操作步骤 */
    @Excel(name = "操作步骤")
    private String czbz;

    /** 认缴金额 */
    @Excel(name = "认缴金额")
    private String renjiaoje;

    /** 认缴期限 */
    @Excel(name = "认缴期限", width = 30, dateFormat = "yyyy-MM-dd")
    private Date renjiaoqxtime;

    /** 实缴金额 */
    @Excel(name = "实缴金额")
    private String shijiaoje;

    /** 实缴期限 */
    @Excel(name = "实缴期限", width = 30, dateFormat = "yyyy-MM-dd")
    private Date shijiaoqxtime;

    /** 验证机构 */
    @Excel(name = "验证机构")
    private String yzjg;

    /** 出资人身份证 */
    @Excel(name = "出资人身份证")
    private String czrsfz;

    /** 出资人身份证1 */
    @Excel(name = "出资人身份证1")
    private String czrsfz1;

    /** 出资人签名 */
    @Excel(name = "出资人签名")
    private String czrqm;

    /** 出资人拍照 */
    @Excel(name = "出资人拍照")
    private String czrpaizhao;

    /** 表单复制 */
    @Excel(name = "表单复制")
    private String bdfz;
    private String video;
    private String RzQx;

    public String getRzQx() {
        return RzQx;
    }

    public void setRzQx(String rzQx) {
        this.RzQx = rzQx;
    }

    public String getVideo() {
        return video;
    }

    public void setVideo(String video) {
        this.video = video;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setBsid(String bsid)
    {
        this.bsid = bsid;
    }

    public String getBsid()
    {
        return bsid;
    }
    public void setCzrtype(String czrtype)
    {
        this.czrtype = czrtype;
    }

    public String getCzrtype()
    {
        return czrtype;
    }
    public void setCzrname(String czrname)
    {
        this.czrname = czrname;
    }

    public String getCzrname()
    {
        return czrname;
    }
    public void setCzrphone(String czrphone)
    {
        this.czrphone = czrphone;
    }

    public String getCzrphone()
    {
        return czrphone;
    }
    public void setCzrlx(String czrlx)
    {
        this.czrlx = czrlx;
    }

    public String getCzrlx()
    {
        return czrlx;
    }
    public void setCzrzj(String czrzj)
    {
        this.czrzj = czrzj;
    }

    public String getCzrzj()
    {
        return czrzj;
    }
    public void setCzrcardno(String czrcardno)
    {
        this.czrcardno = czrcardno;
    }

    public String getCzrcardno()
    {
        return czrcardno;
    }
    public void setCzrmz(String czrmz)
    {
        this.czrmz = czrmz;
    }

    public String getCzrmz()
    {
        return czrmz;
    }
    public void setCzrzzmm(String czrzzmm)
    {
        this.czrzzmm = czrzzmm;
    }

    public String getCzrzzmm()
    {
        return czrzzmm;
    }
    public void setCzrwxcd(String czrwxcd)
    {
        this.czrwxcd = czrwxcd;
    }

    public String getCzrwxcd()
    {
        return czrwxcd;
    }
    public void setCzrxb(String czrxb)
    {
        this.czrxb = czrxb;
    }

    public String getCzrxb()
    {
        return czrxb;
    }
    public void setCzrsr(String czrsr)
    {
        this.czrsr = czrsr;
    }

    public String getCzrsr()
    {
        return czrsr;
    }
    public void setCzrzz(String czrzz)
    {
        this.czrzz = czrzz;
    }

    public String getCzrzz()
    {
        return czrzz;
    }
    public void setCzrzyzk(String czrzyzk)
    {
        this.czrzyzk = czrzyzk;
    }

    public String getCzrzyzk()
    {
        return czrzyzk;
    }
    public void setCzrgh(String czrgh)
    {
        this.czrgh = czrgh;
    }

    public String getCzrgh()
    {
        return czrgh;
    }
    public void setCzrdzyx(String czrdzyx)
    {
        this.czrdzyx = czrdzyx;
    }

    public String getCzrdzyx()
    {
        return czrdzyx;
    }
    public void setCztype(String cztype)
    {
        this.cztype = cztype;
    }

    public String getCztype()
    {
        return cztype;
    }
    public void setCzfs(String czfs)
    {
        this.czfs = czfs;
    }

    public String getCzfs()
    {
        return czfs;
    }
    public void setCzbz(String czbz)
    {
        this.czbz = czbz;
    }

    public String getCzbz()
    {
        return czbz;
    }
    public void setRenjiaoje(String renjiaoje)
    {
        this.renjiaoje = renjiaoje;
    }

    public String getRenjiaoje()
    {
        return renjiaoje;
    }
    public void setRenjiaoqxtime(Date renjiaoqxtime)
    {
        this.renjiaoqxtime = renjiaoqxtime;
    }

    public Date getRenjiaoqxtime()
    {
        return renjiaoqxtime;
    }
    public void setShijiaoje(String shijiaoje)
    {
        this.shijiaoje = shijiaoje;
    }

    public String getShijiaoje()
    {
        return shijiaoje;
    }
    public void setShijiaoqxtime(Date shijiaoqxtime)
    {
        this.shijiaoqxtime = shijiaoqxtime;
    }

    public Date getShijiaoqxtime()
    {
        return shijiaoqxtime;
    }
    public void setYzjg(String yzjg)
    {
        this.yzjg = yzjg;
    }

    public String getYzjg()
    {
        return yzjg;
    }
    public void setCzrsfz(String czrsfz)
    {
        this.czrsfz = czrsfz;
    }

    public String getCzrsfz()
    {
        return czrsfz;
    }
    public void setCzrsfz1(String czrsfz1)
    {
        this.czrsfz1 = czrsfz1;
    }

    public String getCzrsfz1()
    {
        return czrsfz1;
    }
    public void setCzrqm(String czrqm)
    {
        this.czrqm = czrqm;
    }

    public String getCzrqm()
    {
        return czrqm;
    }
    public void setCzrpaizhao(String czrpaizhao)
    {
        this.czrpaizhao = czrpaizhao;
    }

    public String getCzrpaizhao()
    {
        return czrpaizhao;
    }
    public void setBdfz(String bdfz)
    {
        this.bdfz = bdfz;
    }

    public String getBdfz()
    {
        return bdfz;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("bsid", getBsid())
            .append("czrtype", getCzrtype())
            .append("czrname", getCzrname())
            .append("czrphone", getCzrphone())
            .append("czrlx", getCzrlx())
            .append("czrzj", getCzrzj())
            .append("czrcardno", getCzrcardno())
            .append("czrmz", getCzrmz())
            .append("czrzzmm", getCzrzzmm())
            .append("czrwxcd", getCzrwxcd())
            .append("czrxb", getCzrxb())
            .append("czrsr", getCzrsr())
            .append("czrzz", getCzrzz())
            .append("czrzyzk", getCzrzyzk())
            .append("czrgh", getCzrgh())
            .append("czrdzyx", getCzrdzyx())
            .append("cztype", getCztype())
            .append("czfs", getCzfs())
            .append("czbz", getCzbz())
            .append("renjiaoje", getRenjiaoje())
            .append("renjiaoqxtime", getRenjiaoqxtime())
            .append("shijiaoje", getShijiaoje())
            .append("shijiaoqxtime", getShijiaoqxtime())
            .append("yzjg", getYzjg())
            .append("czrsfz", getCzrsfz())
            .append("czrsfz1", getCzrsfz1())
            .append("czrqm", getCzrqm())
            .append("czrpaizhao", getCzrpaizhao())
            .append("bdfz", getBdfz())
            .toString();
    }
}
